#ifndef _MGC_SUR_INFO_H
#define _MGC_SUR_INFO_H
#include "mgc_struct.h"

void mgc_sur_info_list_init(MGC_SUR_INFO_LIST *pList);
BOOL mgc_sur_info_add_conn_to_list(MGC_SUR_INFO_LIST *pList , CONNECT_INFO *pConn);
BOOL mgc_sur_info_remove_conn_to_list(MGC_SUR_INFO_LIST *pList , CONNECT_INFO *pConn);
MGC_SUR_INFO_NODE *mgc_sur_info_find_conn_in_list(MGC_SUR_INFO_LIST *pList , CONNECT_INFO *pConn);
MGC_SUR_INFO_NODE *mgc_sur_info_get_list_tail(MGC_SUR_INFO_LIST *pList);
MGC_SUR_INFO_NODE *mgc_sur_info_get_list_node(MGC_SUR_INFO_LIST *pList , WORD index);

BOOL mgc_sur_info_add_survillance_res(BYTE sapIndex, WORD mgNo);
void mgc_sur_info_setup(void);
void mgc_sur_info_clear_list(MGC_SUR_INFO_LIST *pList);

CONNECT_INFO *mgc_sur_info_find_sur_conn_in_mg(MG_INFO *pMgInfo);


#endif
